Linked Content Entity
---------------

### About this Module

With this module you can link to content entities with an identifier. For
example: create a link in code to a article overview node. Or, display a block
in Twig with a specific id.

### Goals

- Prevent broken links between environments.
- Prevent broken links if the node alias changes.
- Clear overview of linked content entity in code.

### Install

Install the Linked Content Entity module as you would normally install a
contributed Drupal module.

### How to use it

There are tokens and Twig functions available. For example:

```
<a href="{{ lce_url('overview') }}">
  {{ lce_label('overview') }}
</a>
```

or

```
[lce:label:overview]
```
